| IGLib 1.5 The IGLib base library for development of numerical, technical and business applications.

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Properties Events
Public Member Functions | List of all members
IG.Num.DistanceComparerVector Class Reference
Inheritance diagram for IG.Num.DistanceComparerVector:
[legend]
Collaboration diagram for IG.Num.DistanceComparerVector:
[legend]

## Public Member Functions
| DistanceComparerVector (PointContainerVector referencePoint)
| Constructs a new vector comparer according to the distance to the reference point. More...
| DistanceComparerVector (PointContainerVector referencePoint, DistanceDelegate< IVector > distanceFunction)
| Constructs a new comparer according to input distance to a reference poiont (type IVector). More...
| DistanceComparerVector (PointContainerVector referencePoint, DistanceDelegate< IVector > distanceFunction, IVector lengthScales)
| Constructs a new comparer according to input distance to a reference poiont (type IVector). More...
override void | GetPointCoordinates (IVector pt, ref IVector coord)
| Gets vector of coordinates of the specified point and stores it in the specified variable. More...
Public Member Functions inherited from IG.Num.DistanceComparer< PointContainerType, PointType >
| DistanceComparer (PointContainerType referencePoint, DistanceDelegate< PointType > distanceFunction)
| Constructs a new comparer according to input distance to a reference poiont (type IVector). More...
| DistanceComparer (PointContainerType referencePoint, DistanceDelegate< PointType > distanceFunction, IVector lengthScales)
| Constructs a new comparer according to input distance to a reference poiont (type IVector). More...
abstract void | GetPointCoordinates (PointType pt, ref IVector coord)
| Gets vector of coordinates of the specified point and stores it in the specified variable. More...
void | SetCoordinateScales (IVector min, IVector max, IVector lengthScales)
| Sets parameters that affect default calculation of distance and relative point coordinates. More...
void | GetRelativeCoordinates (IVector coord, ref IVector relativeCoortinates)
| Converts the specified coordinates to relative coordinates where compponents run from 0 to 1 if original coordinates run from minimal to maximal value. More...
void | SetOutputScales (IVector min, IVector max, IVector lengthScales)
| Sets parameters that affect default calculation of output distance and output relative coordinates. More...
void | GetOutputRelativeCoordinates (IVector coord, ref IVector relativeCoortinates)
| Converts the specified OUTPUT coordinates to relative coordinates where compponents run from 0 to 1 if original coordinates run from minimal to maximal value. More...
virtual double | OutputDistance (PointContainerType pt1, PointContainerType pt2)
| Returns output distance between two point containers. More...
virtual int | Compare (PointContainerType pt1, PointContainerType pt2)
| Compares two points according to the current comparer definition. More...
virtual double | Distance (PointType pt1, PointType pt2)
| Returns distance between the specified two points. More...
double | Distance (PointContainerType boxedPt1, PointContainerType boxedPt2)
| Returns distance between the specified two points enclosed in PointContainer objects, as defined by the distance calculation delegate (property DistanceFunction) of the current object. More...
double | Distance (PointContainerType boxedPt1, PointType pt2)
| Returns distance between the specified point encolosed in an PointContainer object and a non-enclosed point, as defined by the distance calculation delegate (property DistanceFunction) of the current object. More...
double | Distance (PointType pt1, PointContainerType boxedPt2)
| Returns distance between the specified point and the second point encolosed in an PointContainer object, as defined by the distance calculation delegate (property DistanceFunction) of the current object. More...
double | Distance (PointType pt)
| Returns distance between the specified point and the reference point (property ReferencePoint) of the current object (enclosed in PointContainer<PointType> object), as defined by the distance calculation delegate of the current comparer object (property DistanceFunction). More...
double | Distance (PointContainerType boxedPt)
| Returns distance between the specified point (enclosed in PointContainer<PointType> pbject) and the reference point (property ReferencePoint) of the current object (property ReferencePoint), as defined by the distance calculation delegate of the current comparer object (property DistanceFunction). More...
void | Sort (List< PointContainerType > list)
| Sorts a list of point containers with the current comparer. More...
void | SortUsingStoredDistance (List< PointContainerType > list)
| Sorts a list of point containers with the current comparer. More...

## Additional Inherited Members
Protected Member Functions inherited from IG.Num.DistanceComparer< PointContainerType, PointType >
virtual double | OutputDistance (IVector outVec1, IVector outVec2)
| Returns output distance between two output vectors. More...
virtual double | DefaultDistanceFunction (PointType pt1, PointType pt2)
| Default distance funciton for the current class, used when distance calculation delegate is not specified. More...
Protected Attributes inherited from IG.Num.DistanceComparer< PointContainerType, PointType >
PointContainerType | _referencePoint
DistanceDelegate< PointType > | _distanceFunction
IVector | _lengthScales = null
IVector | _min = null
IVector | _max = null
IVector | _outputLengthScales = null
IVector | _outputMin = null
IVector | _outputMax = null
Properties inherited from IG.Num.DistanceComparer< PointContainerType, PointType >
object | Lock`[get]`
| This object's central lock object to be used by other object. Do not use this object for locking in class' methods, for this you should use InternalLock. More...
PointContainerType | ReferencePoint`[get, set]`
| Reference point. More...
DistanceDelegate< PointType > | DistanceFunction`[get, set]`
| Delegate that calculates distance between two vectors. More...
IVector | LengthScales`[protected get, set]`
| Sets the vector of length scales that are used for calculation of distances. More...
IVector | Min`[protected get, set]`
| Sets the vector of minimal values for point coordinates. Needed for calculation of relative coordinate vector. More...
IVector | Max`[protected get, set]`
| Sets the vector of maximal values point coordinates. Needed for calculation of relative coordinate vector. More...
IVector | OutputLengthScales`[protected get, set]`
| Sets the vector of OUTPUT vector's length scales that are used for calculation of distances and relative coordinates. More...
IVector | OutputMin`[protected get, set]`
| Sets the vector of minimal values for point OUTPUT values. Needed for calculation of relative coordinate vector. More...
IVector | OutputMax`[protected get, set]`
| Sets the vector of maximal values point OUTPUT values. Needed for calculation of relative coordinate vector. More...
IComparer< PointContainerType > | StoredDistanceComparer`[get]`
| Gets comparer that compares two point containers of type PointContainerType by the stored distance stored on those points. More...
Properties inherited from IG.Num.IDistanceComparer< PointContainerType, PointType >
PointContainerType | ReferencePoint`[get, set]`
| Reference point. More...
IVector | LengthScales`[set]`
| Sets the vector of length scales that are used for calculation of distances. More...
IVector | Min`[set]`
| Sets the vector of minimal values for point coordinates. Needed for calculation of relative coordinate vector. More...
IVector | Max`[set]`
| Sets the vector of maximal values point coordinates. Needed for calculation of relative coordinate vector. More...
IVector | OutputLengthScales`[set]`
| Sets the vector of OUTPUT vector's length scales that are used for calculation of distances and relative coordinates. More...
IVector | OutputMin`[set]`
| Sets the vector of minimal values for point OUTPUT values. Needed for calculation of relative coordinate vector. More...
IVector | OutputMax`[set]`
| Sets the vector of maximal values point OUTPUT values. Needed for calculation of relative coordinate vector. More...
IComparer< PointContainerType > | StoredDistanceComparer`[get]`
| Gets comparer that compares two point containers of type PointContainerType by the stored distance stored on those points. More...
Properties inherited from IG.Lib.ILockable
object | Lock`[get]`

## Constructor & Destructor Documentation

IG.Num.DistanceComparerVector.DistanceComparerVector | ( | PointContainerVector | referencePoint | ) |
| inline

Constructs a new vector comparer according to the distance to the reference point.

Default methods for distance calculation is used.

Parameters

  referencePoint | Reference points.

IG.Num.DistanceComparerVector.DistanceComparerVector | ( | PointContainerVector | referencePoint,
|  | DistanceDelegate< IVector > | distanceFunction
| ) |  |
| inline

Constructs a new comparer according to input distance to a reference poiont (type IVector).

Parameters

  referencePoint | Reference point. Training elements are compared by their distance to this point.
  distanceFunction | Delegate used for calculation of distance between two points.
  immutable | If true then a copy of the reference point is stored internally rather than just its reference, so it can not be changed.

IG.Num.DistanceComparerVector.DistanceComparerVector | ( | PointContainerVector | referencePoint,
|  | DistanceDelegate< IVector > | distanceFunction,
|  | IVector | lengthScales
| ) |  |
| inline

Constructs a new comparer according to input distance to a reference poiont (type IVector).

Parameters

  referencePoint | Reference point. Training elements are compared by their distance to this point.
  distanceFunction | Delegate used for calculation of distance between two points.
  lengthScales | Vector of legth scales that defines how different co-ordinates are scaled by when calculating distances (this applies to the default length calculation function, ).
  immutable | If true then a copy of the reference point is stored internally rather than just its reference, so it can not be changed.

## Member Function Documentation

override void IG.Num.DistanceComparerVector.GetPointCoordinates | ( | IVector | pt,
|  | ref IVector | coord
| ) |  |
| inline

Gets vector of coordinates of the specified point and stores it in the specified variable.

Where the type of point object itself contains vector of coordinates, only reference is stored. The obtained vector should therefore not be modified in any way.

Parameters

  pt | Point for which vector of coordinates is obtained.
  coord | Vector variable where extracted vector of coordinates is stored.

The documentation for this class was generated from the following file:

- igbase/numeric/geometry/pointclouds/PointCloudConcrete.cs